#!/bin/bash


# Colors
RED='\033[0;31m'
LRED="\033[1;31m"
BLUE="\033[0;34m"
LBLUE="\033[1;34m"
GREEN="\033[0;32m"
LGREEN="\033[1;32m"
YELLOW="\033[1;33m"
CYAN="\033[0;36m"
LCYAN="\033[1;36m"
PURPLE="\033[0;35m"
LPURPLE="\033[1;35m"
BWHITE="\e[1m"
NC='\033[0m' # No Color

VOICEON="true"


#VoicControl (){
	if [ "${VOICEON}" = "true" ];then
		MODE="espeak"
	elif [ "${VOICEON}" = "false" ];then
		MODE=""
	fi
#}

printf "${LBLUE}What is the name of person 1?:${NC} "
read person1

if [ "${MODE}" = "espeak" ];then 

	espeak "${person1} Joined the chat" &
	echo "${person1} Joined the chat"
else

	echo "${person1} Joined the chat"
fi

	
printf "${LPURPLE}What is the name of person 2?:${NC} "
read person2


if [ "${MODE}" = "espeak" ];then
	espeak "${person2} Joined the chat" &
	echo "${person2} Joined the chat"
else

	echo "${person2} Joined the chat"
fi

echo -e "${LCYAN}Type 'quit' to exit the chat${NC}\n"
while true;do

	
	
	
	#printf "${LGREEN}${person1}:${NC} "
	read something1 

	if [ ! -z "${something1}" ];then
		echo -e "${LGREEN}${person1}: ${something1}${NC}\n"

	
		continue

	
	
	elif [ "${something1}" = "quit" ];then

		echo -e "${LRED}${person1} exited the chat!${NC}\n"
		exit 0

	else
		continue
	fi
	
	#printf "${YELLOW}${person2}:${NC} "
	read something2 

	if [ ! -z "${something2}" ];then
		echo -e "${YELLOW}${person2}: ${something2}${NC}\n"

	
		continue

	
	

	elif [ "${something2}" = "quit" ];then

		echo -e "${LRED}${person2} exited the chat!${NC}\n"
		exit 0

	else
		continue
	fi
	
done
